Subject: Re: [patch 04/20] ibmveth: Add tx_copybreak

From: Brian King <[email-masked]>
Date: Thu, 19 Aug 2010 08:34:48 -0500

On 08/19/2010 02:25 AM, Anton Blanchard wrote:
> Use the existing bounce buffer if we send a buffer under a certain size.
> This saves the overhead of a TCE map/unmap.
> 
> I can't see any reason for the wmb() in the bounce buffer case, if we need
> a barrier it will be before we call h_send_logical_lan but we have
> nothing in the common case. Remove it.
> 
> Signed-off-by: Anton Blanchard <[email-masked]>
> ---
> 
> Index: powerpc.git/drivers/net/ibmveth.c
> ===================================================================
> --- powerpc.git.orig/drivers/net/ibmveth.c	2010-08-10 18:35:52.293272470 +1000
> +++ powerpc.git/drivers/net/ibmveth.c	2010-08-10 18:35:55.440741255 +1000
> @@ -117,6 +117,11 @@ MODULE_DESCRIPTION("IBM i/pSeries Virtua
>  MODULE_LICENSE("GPL");
>  MODULE_VERSION(ibmveth_driver_version);
> 
> +static unsigned int tx_copybreak __read_mostly = 128;

Where did the 128 come from? I thought I heard the 2k value discussed in
the past.

Thanks,

Brian

-- 
Brian King
Linux on Power Virtualization
IBM Linux Technology Center